<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leitor de QR Code</title>
    <style>
        body {
            margin: 0;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            min-height: 100vh;
            font-family: Arial, sans-serif;
        }

        #qr-video {
            width: 100%;
            max-width: 80vw;
            height: auto;
            max-height: 80vh;
        }

        #result {
            margin-top: 20px;
            font-size: 20px;
            text-align: center;
        }
    </style>
</head>
<body>
    <video id="qr-video"></video>
    <div id="result"></div>
    <!-- <script src="https://cdn.jsdelivr.net/npm/jsqr"></script> -->
    <script src="jsQR.js"></script>
    <script>
        const video = document.getElementById('qr-video');
        const resultDiv = document.getElementById('result');

        // Obtém acesso à câmera
        navigator.mediaDevices.getUserMedia({ video: { facingMode: 'environment' } })
            .then((stream) => {
                video.srcObject = stream;
                video.play();
                requestAnimationFrame(tick);
            });

        function tick() {
            if (video.readyState === video.HAVE_ENOUGH_DATA) {
                const canvas = document.createElement('canvas');
                canvas.width = video.videoWidth;
                canvas.height = video.videoHeight;
                const context = canvas.getContext('2d');
                context.drawImage(video, 0, 0, canvas.width, canvas.height);
                const imageData = context.getImageData(0, 0, canvas.width, canvas.height);
                const code = jsQR(imageData.data, canvas.width, canvas.height);
                if (code) {
                    resultDiv.textContent = 'QR Code lido: ' + code.data;
                }
            }
            requestAnimationFrame(tick);
        }
    </script>
</body>
</html>
